CFPRIME TDCINT                                                          TDCINT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE  TDCINT(IUX)                                           TDCINT      3
CD                                                                      TDCINT      4
CD  PURPOSE : TABULATING DC INITIAL CONDITIONS.                         TDCINT      5
CD                                                                      TDCINT      6
      INCLUDE 'PARX.INS'                                                TDCINT      7
      INCLUDE 'CNPARX.INS'                                              TDCINT      8
      INCLUDE 'CNB0.INS'                                                TDCINT      9
      INCLUDE 'GRDC01.INS'                                              TDCINT     10
      INCLUDE 'GRDC02.INS'                                              TDCINT     11
      INCLUDE 'GRDC03.INS'                                              TDCINT     12
      INCLUDE 'UDCA.INS'                                                TDCINT     13
      INCLUDE 'UDCB.INS'                                                TDCINT     14
      INCLUDE 'UDCC.INS'                                                TDCINT     15
      INCLUDE 'UDCD.INS'                                                TDCINT     16
      INCLUDE 'UDCE.INS'                                                TDCINT     17
      INCLUDE 'UDCF.INS'                                                TDCINT     18
      INCLUDE 'UDCH.INS'                                                TDCINT     19
C                                                                       TDCINT     20
      DIMENSION    LEN(10)                                              TDCINT     21
C                                                                       TDCINT     22
      LOGICAL       FIRST                                               TDCINT     23
C                                                                       TDCINT     24
      CHARACTER*50  LABEL                                               TDCINT     25
      CHARACTER*17  NAME(10)                                            TDCINT     26
      CHARACTER*8   SNAME, TNAME                                        TDCINT     27
C                                                                       TDCINT     28
      IF(IUDC.EQ.0) RETURN                                              TDCINT     29
C                                                                       TDCINT     30
      LABEL = '***  MTDC VALUES AFTER INITIALIZATION  ***'              TDCINT     31
      WRITE (IUX,9002) LABEL                                            TDCINT     32
C                                                                       TDCINT     33
C     AC/DC CONVERTERS                                                  TDCINT     34
C                                                                       TDCINT     35
      WRITE(IUX,1400)                                                   TDCINT     36
C                                                                       TDCINT     37
      DO 900 I=1,ICDC                                                   TDCINT     38
      K=IDC(I)                                                          TDCINT     39
      NUM=IDCBNU(K)                                                     TDCINT     40
      NU2=IDCBN2(K)                                                     TDCINT     41
      ICT=ICTYPE(K)                                                     TDCINT     42
      ICTA=IABS(ICT)                                                    TDCINT     43
      IF(ICTA.EQ.1) THEN                                                TDCINT     44
         ALP=ACOS(CALPHA(K))*180.0/PII                                  TDCINT     45
         GAM=ACOS(CGAMMA(K))*180.0/PII                                  TDCINT     46
         QA = QAHVDC(K)                                                 TDCINT     47
      ELSE                                                              TDCINT     48
         ALP=CALPHA(K)*180.0/PII                                        TDCINT     49
         GAM=CGAMMA(K)                                                  TDCINT     50
         QA = QAHVDC(K) + Q2HVDC(K)                                     TDCINT     51
      ENDIF                                                             TDCINT     52
      IF(NUM.EQ.0) THEN                                                 TDCINT     53
         TEMP=1.0                                                       TDCINT     54
      ELSE                                                              TDCINT     55
         IF(NU2.EQ.0) THEN                                              TDCINT     56
            TEMP=SQRT( DCEA(NUM)**2+DCEB(NUM)**2)                       TDCINT     57
         ELSE                                                           TDCINT     58
            TEMP=SQRT((DCEA(NUM)-DCEA(NU2))**2+(DCEB(NUM)-DCEB(NU2))**2)TDCINT     59
         ENDIF                                                          TDCINT     60
      ENDIF                                                             TDCINT     61
      DTET=VACONV(K)*180.0/PII                                          TDCINT     62
C                                                                       TDCINT     63
      WRITE(IUX,1410) DCCNAM(K),TEMP,VDCONV(K),XDCONV(K)                TDCINT     64
     *,ALP,GAM,PAHVDC(K),QA,DTET,DCCNA2(K)                              TDCINT     65
C                                                                       TDCINT     66
 900  CONTINUE                                                          TDCINT     67
C                                                                       TDCINT     68
C                                                                       TDCINT     69
C                                                                       TDCINT     70
         WRITE(IUX,1440)                                                TDCINT     71
         IL=-5                                                          TDCINT     72
         JNVL=(NUMNOD+5)/6                                              TDCINT     73
C                                                                       TDCINT     74
         DO 950 K=1,JNVL                                                TDCINT     75
            IL=IL+6                                                     TDCINT     76
            IL1=MIN(NUMNOD,IL+5)                                        TDCINT     77
            WRITE(IUX,1450) (IDCNOD(LI),VDCNOD(LI),LI=IL,IL1)           TDCINT     78
 950     CONTINUE                                                       TDCINT     79
C                                                                       TDCINT     80
C     Print each block in the system.                                   TDCINT     81
C                                                                       TDCINT     82
      DO 300 J = 1, IUDC                                                TDCINT     83
C                                                                       TDCINT     84
         IVAL2=0                                                        TDCINT     85
         I = IUDPRM(J)                                                  TDCINT     86
         TNAME = TPNAME(IUDTYP(I))                                      TDCINT     87
C                                                                       TDCINT     88
C                                                                       TDCINT     89
C              FROMAC FROMDC SOURCE UNARY BINARY MULTIP LIMIT           TDCINT     90
         GOTO (  10,    20,    30,   40,    50,    60,   70,            TDCINT     91
C                                                                       TDCINT     92
C              SBLOCK OTHER INTERF SETUP SUBSYS LOGIC STRUCT            TDCINT     93
     *           80,   90,   100,   110,  120,   130,  140,             TDCINT     94
C                                                                       TDCINT     95
C              FORTRN UDUMMY ACSYST BREAKR PRINT                        TDCINT     96
     *          150,   200,   200,    180,  185 ) IUDTYP(I)             TDCINT     97
C                                                                       TDCINT     98
  10     SNAME = SBFRAC(IUDSUB(I))                                      TDCINT     99
         GOTO 200                                                       TDCINT    100
C                                                                       TDCINT    101
  20     SNAME = SBFRDC(IUDSUB(I))                                      TDCINT    102
         GOTO 200                                                       TDCINT    103
C                                                                       TDCINT    104
  30     SNAME = SBSRCE(IUDSUB(I))                                      TDCINT    105
         GOTO 200                                                       TDCINT    106
C                                                                       TDCINT    107
  40     SNAME = SBUNA(IUDSUB(I))                                       TDCINT    108
         GOTO 200                                                       TDCINT    109
C                                                                       TDCINT    110
  50     SNAME = SBBIN(IUDSUB(I))                                       TDCINT    111
         GOTO 200                                                       TDCINT    112
C                                                                       TDCINT    113
  60     SNAME = SBMLTP(IUDSUB(I))                                      TDCINT    114
         GOTO 200                                                       TDCINT    115
C                                                                       TDCINT    116
  70     SNAME = SBLIMT(IUDSUB(I))                                      TDCINT    117
         GOTO 200                                                       TDCINT    118
C                                                                       TDCINT    119
  80     SNAME = SBSBLK(IUDSUB(I))                                      TDCINT    120
         GOTO 200                                                       TDCINT    121
C                                                                       TDCINT    122
  90     SNAME = SBOTHR(IUDSUB(I))                                      TDCINT    123
         GOTO 200                                                       TDCINT    124
C                                                                       TDCINT    125
 100     SNAME = ' '                                                    TDCINT    126
         IVAL2=1                                                        TDCINT    127
         GOTO 200                                                       TDCINT    128
C                                                                       TDCINT    129
 110     IF(IUDSUB(I).EQ.0) GOTO 100                                    TDCINT    130
         SNAME = SBSETP(IUDSUB(I))                                      TDCINT    131
         GOTO 200                                                       TDCINT    132
C                                                                       TDCINT    133
 120     SNAME = SBSUBS(IUDSUB(I))                                      TDCINT    134
         GOTO 200                                                       TDCINT    135
C                                                                       TDCINT    136
 130     SNAME = SBLOGC(IUDSUB(I))                                      TDCINT    137
         GOTO 200                                                       TDCINT    138
C                                                                       TDCINT    139
C 140     CALL URSTRC                                                   TDCINT    140
 140     GOTO 200                                                       TDCINT    141
C                                                                       TDCINT    142
 150     SNAME = SBFORT(IUDSUB(I))                                      TDCINT    143
         GOTO 200                                                       TDCINT    144
C                                                                       TDCINT    145
 180     SNAME = SBBRKR(IUDSUB(I))                                      TDCINT    146
         GOTO 200                                                       TDCINT    147
C                                                                       TDCINT    148
 185     SNAME = SBPRT(IUDSUB(I))                                       TDCINT    149
C                                                                       TDCINT    150
 200     CONTINUE                                                       TDCINT    151
C                                                                       TDCINT    152
C                                                                       TDCINT    153
         WRITE (IUX,9006) UDNAME(I), TNAME, SNAME, UDVAL(I)             TDCINT    154
         IF(IVAL2.EQ.1) WRITE(IUX,9007) UDVA3(I)                        TDCINT    155
C                                                                       TDCINT    156
         NEXT = INTOP(I)                                                TDCINT    157
         FIRST = .TRUE.                                                 TDCINT    158
         K = 0                                                          TDCINT    159
         LINLEN = 0                                                     TDCINT    160
 220     IF (NEXT .EQ. 0) GO TO 240                                     TDCINT    161
            IF (K .GE. 10 .OR. LINLEN .GT. 100) THEN                    TDCINT    162
               IF (FIRST) THEN                                          TDCINT    163
                  WRITE (IUX,9008) (NAME(N)(1:LEN(N)), N = 1, K)        TDCINT    164
                  FIRST = .FALSE.                                       TDCINT    165
               ELSE                                                     TDCINT    166
                  WRITE (IUX,9010) (NAME(N)(1:LEN(N)), N = 1, K)        TDCINT    167
               END IF                                                   TDCINT    168
               K = 0                                                    TDCINT    169
               LINLEN = 0                                               TDCINT    170
            ELSE                                                        TDCINT    171
               K = K + 1                                                TDCINT    172
               NAME(K) = UDNAME(INNUM(NEXT))                            TDCINT    173
               LEN(K) = IUDLEN(INNUM(NEXT))                             TDCINT    174
               LINLEN = LINLEN + LEN(K)                                 TDCINT    175
               NEXT = IPOINT(NEXT)                                      TDCINT    176
            END IF                                                      TDCINT    177
            GO TO 220                                                   TDCINT    178
 240     CONTINUE                                                       TDCINT    179
C                                                                       TDCINT    180
         IF (FIRST) THEN                                                TDCINT    181
            IF (K .EQ. 0) THEN                                          TDCINT    182
               WRITE (IUX,9012)                                         TDCINT    183
            ELSE                                                        TDCINT    184
               WRITE (IUX,9008) (NAME(N)(1:LEN(N)), N = 1, K)           TDCINT    185
            END IF                                                      TDCINT    186
         ELSE                                                           TDCINT    187
            WRITE (IUX,9010) (NAME(N)(1:LEN(N)), N = 1, K)              TDCINT    188
         END IF                                                         TDCINT    189
C                                                                       TDCINT    190
         NEXT = IOUTOP(I)                                               TDCINT    191
         FIRST = .TRUE.                                                 TDCINT    192
         K = 0                                                          TDCINT    193
         LINLEN = 0                                                     TDCINT    194
 260     IF (NEXT .EQ. 0) GO TO 280                                     TDCINT    195
            IF (K .GE. 10 .OR. LINLEN .GT. 100) THEN                    TDCINT    196
               IF (FIRST) THEN                                          TDCINT    197
                  WRITE (IUX,9014) (NAME(N)(1:LEN(N)), N = 1, K)        TDCINT    198
                  FIRST = .FALSE.                                       TDCINT    199
               ELSE                                                     TDCINT    200
                  WRITE (IUX,9010) (NAME(N)(1:LEN(N)), N = 1, K)        TDCINT    201
               END IF                                                   TDCINT    202
               K = 0                                                    TDCINT    203
               LINLEN = 0                                               TDCINT    204
            ELSE                                                        TDCINT    205
               K = K + 1                                                TDCINT    206
               NAME(K) = UDNAME(IOUTNU(NEXT))                           TDCINT    207
               LEN(K) = IUDLEN(IOUTNU(NEXT))                            TDCINT    208
               LINLEN = LINLEN + LEN(K)                                 TDCINT    209
               NEXT = JOPOIN(NEXT)                                      TDCINT    210
            END IF                                                      TDCINT    211
            GO TO 260                                                   TDCINT    212
 280     CONTINUE                                                       TDCINT    213
C                                                                       TDCINT    214
         IF (FIRST) THEN                                                TDCINT    215
            IF (K .EQ. 0) THEN                                          TDCINT    216
               WRITE (IUX,9016)                                         TDCINT    217
            ELSE                                                        TDCINT    218
               WRITE (IUX,9014) (NAME(N)(1:LEN(N)), N = 1, K)           TDCINT    219
            END IF                                                      TDCINT    220
         ELSE                                                           TDCINT    221
            WRITE (IUX,9010) (NAME(N)(1:LEN(N)), N = 1, K)              TDCINT    222
         END IF                                                         TDCINT    223
 300  CONTINUE                                                          TDCINT    224
C                                                                       TDCINT    225
      NEXT = IFXSUB                                                     TDCINT    226
320   IF (NEXT .EQ. 0) GO TO 340                                        TDCINT    227
         LEN1 = IUDLEN(IFXNUM(NEXT))                                    TDCINT    228
         LEN2 = IUDLEN(JFXNUM(NEXT))                                    TDCINT    229
         WRITE (IUX,9018) FXNAM1(NEXT)(1:LEN1), FXNAM2(NEXT)(1:LEN2),   TDCINT    230
     1                      FXNAM1(NEXT)(1:LEN1), FXNAM2(NEXT)(1:LEN2)  TDCINT    231
         NEXT = IFXNEX(NEXT)                                            TDCINT    232
         GO TO 320                                                      TDCINT    233
 340  CONTINUE                                                          TDCINT    234
C                                                                       TDCINT    235
C                                                                       TDCINT    236
      LABEL = '***  LOOPS IN UDC SYSTEM  ***'                           TDCINT    237
      WRITE (IUX,9102) LABEL                                            TDCINT    238
      DO 460 I = 1, LPMAX                                               TDCINT    239
         IF (LPSUBS(I) .GT. 0) THEN                                     TDCINT    240
            WRITE (IUX,9104) I                                          TDCINT    241
         ELSE                                                           TDCINT    242
            WRITE (IUX,9106) I                                          TDCINT    243
         END IF                                                         TDCINT    244
         IF (LPLEAD(I) .EQ. 0) THEN                                     TDCINT    245
            WRITE (IUX,9108)                                            TDCINT    246
         ELSE                                                           TDCINT    247
            WRITE (IUX,9110) UDNAME(LPLEAD(I))                          TDCINT    248
         END IF                                                         TDCINT    249
         NEXT = LPTOP(I)                                                TDCINT    250
         J = 0                                                          TDCINT    251
         LINLEN = 0                                                     TDCINT    252
         FIRST = .TRUE.                                                 TDCINT    253
420      IF (NEXT .EQ. 0) GO TO 440                                     TDCINT    254
            IF (J .GE. 10 .OR. LINLEN .GT. 100) THEN                    TDCINT    255
               IF (FIRST) THEN                                          TDCINT    256
                  WRITE (IUX,9112) (NAME(K)(1:LEN(K)), K = 1, J)        TDCINT    257
                  FIRST = .FALSE.                                       TDCINT    258
               ELSE                                                     TDCINT    259
                  WRITE (IUX,9114) (NAME(K)(1:LEN(K)), K = 1, J)        TDCINT    260
               END IF                                                   TDCINT    261
               J = 0                                                    TDCINT    262
               LINLEN = 0                                               TDCINT    263
            ELSE                                                        TDCINT    264
               J = J + 1                                                TDCINT    265
               NAME(J) = LPNAME(NEXT)                                   TDCINT    266
               LEN(J) = IUDLEN(LPNUM(NEXT))                             TDCINT    267
               LINLEN = LINLEN + LEN(J)                                 TDCINT    268
               NEXT = LPNEXT(NEXT)                                      TDCINT    269
            END IF                                                      TDCINT    270
         GO TO 420                                                      TDCINT    271
440   CONTINUE                                                          TDCINT    272
      IF (FIRST) THEN                                                   TDCINT    273
         WRITE (IUX,9112) (NAME(K)(1:LEN(K)), K = 1, J)                 TDCINT    274
      ELSE                                                              TDCINT    275
         WRITE (IUX,9114) (NAME(K)(1:LEN(K)), K = 1, J)                 TDCINT    276
      END IF                                                            TDCINT    277
C                                                                       TDCINT    278
460   CONTINUE                                                          TDCINT    279
C                                                                       TDCINT    280
      RETURN                                                            TDCINT    281
C                                                                       TDCINT    282
C---------------------------------------------------------------------  TDCINT    283
C                                                                       TDCINT    284
      ENTRY TDCLDA(IUX)                                                 TDCINT    285
CD                                                                      TDCINT    286
CD    TO TABULATE DC MODEL DATA.                                        TDCINT    287
CD                                                                      TDCINT    288
      LABEL = '***  UDC INTERPRETED CARD IMAGE  ***'                    TDCINT    289
      WRITE (IUX,9002) LABEL                                            TDCINT    290
C                                                                       TDCINT    291
      DO 700 I = 1, IUDC                                                TDCINT    292
C                                                                       TDCINT    293
C           FROMAC FROMDC SOURCE UNARY BINARY MULTIP LIMIT              TDCINT    294
      GOTO ( 510,   520,   530,   540,  550,   560,   570,              TDCINT    295
C                                                                       TDCINT    296
C           SBLOCK OTHER INTERF SETUP SUBSYS LOGIC STRUCT               TDCINT    297
     *       580,   590,  600,   610,  620,   630,  640,                TDCINT    298
C                                                                       TDCINT    299
C           FORTRN UDUMMY ACSYST BREAKR PRINT                           TDCINT    300
     *       650,   700,   700,    680,  685 ) IUDTYP(I)                TDCINT    301
C                                                                       TDCINT    302
 510  CALL TUFRAC(IUX,I)                                                TDCINT    303
      GOTO 700                                                          TDCINT    304
C                                                                       TDCINT    305
 520  CALL TUFRDC(IUX,I)                                                TDCINT    306
      GOTO 700                                                          TDCINT    307
C                                                                       TDCINT    308
 530  CALL TUSRCE(IUX,I)                                                TDCINT    309
      GOTO 700                                                          TDCINT    310
C                                                                       TDCINT    311
 540  CALL TUUNA(IUX,I)                                                 TDCINT    312
      GOTO 700                                                          TDCINT    313
C                                                                       TDCINT    314
 550  CALL TUBIN(IUX,I)                                                 TDCINT    315
      GOTO 700                                                          TDCINT    316
C                                                                       TDCINT    317
 560  CALL TUMLTP(IUX,I)                                                TDCINT    318
      GOTO 700                                                          TDCINT    319
C                                                                       TDCINT    320
 570  CALL TULIMT(IUX,I)                                                TDCINT    321
      GOTO 700                                                          TDCINT    322
C                                                                       TDCINT    323
 580  CALL TUSBLK(IUX,I)                                                TDCINT    324
      GOTO 700                                                          TDCINT    325
C                                                                       TDCINT    326
 590  CALL TUOTHR(IUX,I)                                                TDCINT    327
      GOTO 700                                                          TDCINT    328
C                                                                       TDCINT    329
 600  CALL TUINTF(IUX,I)                                                TDCINT    330
      GOTO 700                                                          TDCINT    331
C                                                                       TDCINT    332
 610  CALL TUSETP(IUX,I)                                                TDCINT    333
      GOTO 700                                                          TDCINT    334
C                                                                       TDCINT    335
 620  CALL TUSUBS(IUX,I)                                                TDCINT    336
      GOTO 700                                                          TDCINT    337
C                                                                       TDCINT    338
 630  CALL TULOGC(IUX,I)                                                TDCINT    339
      GOTO 700                                                          TDCINT    340
C                                                                       TDCINT    341
C 140  CALL URSTRC                                                      TDCINT    342
 640  GOTO 700                                                          TDCINT    343
C                                                                       TDCINT    344
 650  CALL TUFORT(IUX,I)                                                TDCINT    345
      GOTO 700                                                          TDCINT    346
C                                                                       TDCINT    347
 680  CALL TUBRKR(IUX,I)                                                TDCINT    348
      GOTO 700                                                          TDCINT    349
C                                                                       TDCINT    350
685   CALL TUPRT(IUX,I)                                                 TDCINT    351
C                                                                       TDCINT    352
 700  CONTINUE                                                          TDCINT    353
C                                                                       TDCINT    354
      RETURN                                                            TDCINT    355
C                                                                       TDCINT    356
9002  FORMAT (///, '1', 20X, A50, /)                                    TDCINT    357
9006  FORMAT (/, ' BLOCK: ', A, 2X, 'TYPE: ', A, 2X, 'SUBTYPE: ',       TDCINT    358
     1        A, 2X, 'VALUE: ', F18.6)                                  TDCINT    359
9007  FORMAT (55X, 'SECOND VALUE: ', F18.6)                             TDCINT    360
9008  FORMAT (' ', 5X, 'INPUT BLOCKS:   ', 10 (A, 3X))                  TDCINT    361
9010  FORMAT (' ', 21X, 10 (A, 3X))                                     TDCINT    362
9012  FORMAT (' ', 5X, 'INPUT BLOCKS:   **NONE**')                      TDCINT    363
9014  FORMAT (' ', 5X, 'OUTPUT BLOCKS:  ', 10 (A, 3X))                  TDCINT    364
9016  FORMAT (' ', 5X, 'OUTPUT BLOCKS:  **NONE**')                      TDCINT    365
9018  FORMAT (///, ' * NOTE:  SUBSYTEM FROM "', A, '" TO "', A,         TDCINT    366
     1        '" IS ', /, 10X, 'REPRESENTED AS A LOOP FROM "', A,       TDCINT    367
     2        '" TO "', A, '".', //)                                    TDCINT    368
9102  FORMAT (///, ' ', 20X, A, /)                                      TDCINT    369
9104  FORMAT (//, ' ', 5X, 'LOOP NUMBER:  ', I2, 5X, '(SUBSYSTEM)')     TDCINT    370
9106  FORMAT (//, ' ', 5X, 'LOOP NUMBER:  ', I2, 5X, '(LOOP)')          TDCINT    371
9108  FORMAT (' ', 10X, '(FIRST BLOCK IN LOOP IS DETERMINED BY ',       TDCINT    372
     1        'INPUT ORDER OF THE BLOCKS IN THE LOOP.)')                TDCINT    373
9110  FORMAT (' ', 10X, '(FIRST BLOCK IN LOOP IS DEPENDENT ON THE ',    TDCINT    374
     1        'POSITION OF ', /, 11X, '"', A, '" IN INPUT FILE.)')      TDCINT    375
9112  FORMAT (' ', 5X, 'LOOP:  ', 10 (A, 3X))                           TDCINT    376
9114  FORMAT (' ', 12X, 10 (A, 3X))                                     TDCINT    377
 1400 FORMAT (/,' CONVERTOR INITIAL CONDITION ',/,                      TDCINT    378
     &       8X,'CONVERTER NAME',11X,'AC PU    DC KV     DC KA',        TDCINT    379
     &       '    ALPHA    GAMMA    P (MW)  Q (MVAR)     ACOMM',        TDCINT    380
     &      '  2ND AC BUS ',/,                                          TDCINT    381
     &       1X,29('-'),3X,5('-'),4X,5('-'),5X,5('-'),                  TDCINT    382
     &       4X,5('-'),4X,5('-'),4X,6('-'),2X,8('-'),5X,5('-'),         TDCINT    383
     &       1X,12('-'))                                                TDCINT    384
 1410 FORMAT (1X,A29, 1X, F7.4, F9.3, F10.5, 2F9.3, 2F10.3,1X,F9.3,     TDCINT    385
     &1X,A12)                                                           TDCINT    386
 1440 FORMAT (/,' DC BUS VOLTAGE:',/,                                   TDCINT    387
     &6(1X,'BUS NAME',8X,'KV',2X),/,6(1X,8('-'),6X,4('-'),2X))          TDCINT    388
 1450 FORMAT(6(1X,A8,F10.3,2X))                                         TDCINT    389
C                                                                       TDCINT    390
      END                                                               TDCINT    391
C                                                                       TDCINT    392
